Vulnerability checker not reporting CVEs found in NVD

I have been testing the MainWP vulnerability checker with the NVD API and have noticed it has failed to pick up on a number of vulnerabilities it should have, including the following:

https://nvd.nist.gov/vuln/detail/CVE-2022-2945
https://nvd.nist.gov/vuln/detail/CVE-2022-2594

I am clearly able to find these CVEs using search functions online:

https://www.opencve.io/cve?cvss=&search=Ajax+Load+More
https://nvd.nist.gov/vuln/search/results?form_type=Basic&results_type=overview&query=Ajax+Load+More&search_type=all&isCpeNameSearch=false

Yet they fail to show up on MainWP despite numerous attempts to recheck my websites. In fact, the vulnerability checker picks up on 3 completely unrelated and irrelevant CVEs that do not even apply to my website. What is the reason for this discrepancy? How can I make the vulnerability checker work better?

Hey @bfcmaintenance

Thank you for reporting this to us. And we’ve also received your ticket regarding this issue.

We are currently investigating it, and we will update this thread when we have more information.